Subject: Re: bug#23056: (no subject)

From: Bartosz Duszel <[email-masked]>
Date: Wed, 23 Mar 2016 05:36:58 +0100

Hello all,
Had the same issue. Mounting as tmpfs helped. @Kei - thanks for sharing.

Best regards,
dptd

> On 22 Mar 2016, at 23:34, Ludovic Courtès <[email-masked]> wrote:
> 
> [email-masked] skribis:
> 
>> On 2016-03-21 18:50, [email-masked] wrote:
>>> Kei <[email-masked]> skribis:
>>> 
>>>> I've managed to get guix to build by running
>>>> 
>>>>  mount -t tmpfs tmp /tmp
>>>> 
>>>> prior to building. I've tried it on two separate hard drives.
>>> 
>>> OK, good.
>>> 
>>>> Perhaps you can try and replicate my results?
>>> 
>>> No, I’d really need to know the answer to the questions at
>>> <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23056#8> to understand.
>>> :-)
>>> 
>>> Ludo’.
>> 
>> guix-daemon reported itself as version 0.9.0
>> Prior to my mounting /tmp as tmpfs, /tmp was just a folder under /.
>> These details can be seen by using the GuixSD x86_64 USB install image.
> 
> Oooh, I see.  I hadn’t realized this happened while running the 0.9.0
> installation image.
> 
> So what happens is that (1) substitutes were not available for the
> ‘guix’ package, which is why it ended up being built, and (2) /tmp is
> indeed a FUSE file system on the installation image (unionfs), hence the
> weird FUSE things that get in the way when running the tests.
> 
> I’ll see what can be done.
> 
> Thanks!
> 
> Ludo’.
> 
> 
>